#ifndef __RENDERCAR
#define __RENDERCAR

#include "entities.h"

#define kGaugesFileName "gauges.cfg"

enum{
	kGaugeTypeTacho=0,
	kGaugeTypeSpeedo=1,
	kGaugeTypeSpeedoMetric=2
};

typedef struct{
	tFileRef gaugeTexture,pointerTexture;
	float pointerWidth,gaugeZero,gaugeMax;
	int type;
} tGauge;

typedef struct{
	int numGauges;
	tGauge *gauges;
} tGaugesList;

void CarRenderPanels(tGameEntity *carEntity,float opacity);
void CarRenderEntity(tGameEntity *carEntity,int allowTransparency,int showDriver);
void CarRenderEntityGhost(tGameEntity *carEntity);
void CarRenderEntityShadow(tGameEntity *carEntity,float shadowLength);

#endif